#!/bin/bash

. /usr/share/eole/FonctionsEoleNg
if [ ! -f /etc/eole/clamd-reload.cnf ]; then
    EchoRouge "Reload clam n'est pas configuré"
    exit 1
fi
. /etc/eole/clamd-reload.cnf

CODE=0
if [ "$MODE_CONTENEUR" = "oui" ]; then
    for container in $CLAMD_CONTAINER; do
        eval container_path=\$container_path_$container
        if [ ! "$container_path" = "" ]; then
            /usr/bin/rsync -a --delete /var/lib/clamav $container_path/var/lib
        fi
        RunCmd /usr/bin/clamd-eole $container
        if [ ! "$?" = "0" ]; then
            EchoRouge "Impossible de recharger clamd sur le conteneur $container"
            [ "$MSG" = "" ] && MSG="Impossible de recharger clamd sur :"
            MSG="$MSG $container"
            CODE=1
        else
            EchoVert "Clamd est rechargé sur $container"
        fi
    done
else
    /usr/bin/clamd-eole
    if [ ! "$?" = "0" ]; then
        EchoRouge "Impossible de recharger clamd"
        [ "$MSG" = "" ] && MSG="Impossible de recharger clamd"
        CODE=1
    else
        EchoVert "Clamd est rechargé"
    fi
fi

/usr/share/eole/antivirus/freshclam-status.sh "$CODE" "$MSG"

exit $CODE
